<?
	// Dcms-Fiera
	// http://dcms-help.ru
	// ShaMan

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

only_reg();
$set['title']='Моя анкета';
include_once '../sys/inc/thead.php';
title();


if (isset($_POST['save'])){
#################

if (isset($_POST['interesi']) && strlen2(esc(stripcslashes(htmlspecialchars($_POST['interesi']))))<=512)
{
$user['interesi']=esc(stripcslashes(htmlspecialchars($_POST['interesi'])));
mysql_query("UPDATE `user` SET `interesi` = '".my_esc($user['interesi'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err='Неверный формат интерес!';
######
if (isset($_POST['myzika']) && strlen2(esc(stripcslashes(htmlspecialchars($_POST['myzika']))))<=512)
{
$user['myzika']=esc(stripcslashes(htmlspecialchars($_POST['myzika'])));
mysql_query("UPDATE `user` SET `myzika` = '".my_esc($user['myzika'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err='Неверный формат Музыки!';
######
if (isset($_POST['film']) && strlen2(esc(stripcslashes(htmlspecialchars($_POST['film']))))<=512)
{
$user['film']=esc(stripcslashes(htmlspecialchars($_POST['film'])));
mysql_query("UPDATE `user` SET `film` = '".my_esc($user['film'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err='Неверный формат Фильмов!';
######
if (isset($_POST['knigi']) && strlen2(esc(stripcslashes(htmlspecialchars($_POST['knigi']))))<=512)
{
$user['knigi']=esc(stripcslashes(htmlspecialchars($_POST['knigi'])));
mysql_query("UPDATE `user` SET `knigi` = '".my_esc($user['knigi'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err='Неверный формат Книг!';
######
if (isset($_POST['mod_mobilki']) && strlen2(esc(stripcslashes(htmlspecialchars($_POST['mod_mobilki']))))<=100)
{
$user['mod_mobilki']=esc(stripcslashes(htmlspecialchars($_POST['mod_mobilki'])));
mysql_query("UPDATE `user` SET `mod_mobilki` = '".my_esc($user['mod_mobilki'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err='Неверный формат "Мобильника"';
######
if (isset($_POST['ank_o_sebe']) && strlen2(esc(stripcslashes(htmlspecialchars($_POST['ank_o_sebe']))))<=512)
{
$user['ank_o_sebe']=esc(stripcslashes(htmlspecialchars($_POST['ank_o_sebe'])));
mysql_query("UPDATE `user` SET `ank_o_sebe` = '".my_esc($user['ank_o_sebe'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err='Неверный формат "О себе"';
#################
if (!isset($err))msg('Изменения успешно приняты');

}
err();
aut();
//(ENK) by wap-mast.ru Все права защищены!
//Барыжничество запрещино, все вопросы на форум wap-mast.ru
echo "<form method='post' action='?$passgen'>";
##################################
echo "Интересы:<br /><input type='text' name='interesi' value='$user[interesi]' maxlength='512' /><br />";
echo "Любимая музыка:<br /><input type='text' name='myzika' value='$user[myzika]' maxlength='512' /><br />";
echo "Любимые фильмы:<br /><input type='text' name='film' value='$user[film]' maxlength='512' /><br />";
echo "Любимые книги:<br /><input type='text' name='knigi' value='$user[knigi]' maxlength='512' /><br />";
echo "Модель мобильника:<br /><input type='text' name='mod_mobilki' value='$user[mod_mobilki]' maxlength='100' /><br />";
echo "О себе:<br /><input type='text' name='ank_o_sebe' value='$user[ank_o_sebe]' maxlength='512' /><br />";
#################################
echo "<input type='submit' name='save' value='Сохранить' /></form>";
echo "<div class='foot'>";
echo "&raquo;<a href='/ank.php'>Назад в анкету</a><br />\n";
echo "</div>";

if(isset($_SESSION['refer']) && $_SESSION['refer']!=NULL && otkuda($_SESSION['refer']))
echo "&laquo;<a href='$_SESSION[refer]'>".otkuda($_SESSION['refer'])."</a><br />\n";

include_once '../sys/inc/tfoot.php';
?>